Skip to content

Get Utility

| View as Markdown

Bharat Bill Payment System (BBPS) is an RBI mandated system which offers integrated and interoperable bill payment services to customers across geographies with certainty, reliability, and safety of transactions. Utility payments include such as, electricity, water, gas, telephone, and Direct-to-Home (DTH). This API display’s utility list for which payments can be made. We must pass utility id in request. If the request has valid details, we will get a status code, message: success/fail, utility details like name and its key.

https://kraken.airpay.co.in/airpay/ms/partnerpay/api/get-utility
ParameterType ValueDescriptionValue Like
utility_id optionalNumberUtility id4
ParameterType ValueDescriptionValue Like
status requiredNumberStatus Code200
msg requiredStringsuccess/failsucess
data requiredarrayUtility details
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/partnerpay/api/get-utility' \
--form 'utility_id="4"'
{
"status": 200,
"msg": "success",
"data": [
{
"value": "Cable TV",
"key": "12"
},
{
"value": "RecurringDeposit",
"key": "22"
},
{
"value": "Donation",
"key": "21"
},
{
"value": "Clubs and Associations",
"key": "20"
},
{
"value": "CreditCard",
"key": "19"
},
{
"value": "Subscription",
"key": "18"
},
{
"value": "MunicipalServices",
"key": "17"
},
{
"value": "Hospital",
"key": "16"
},
{
"value": "Education",
"key": "15"
},
{
"value": "HousingSociety",
"key": "14"
},
{
"value": "Tax",
"key": "13"
},
{
"value": "Electricity",
"key": "1"
},
{
"value": "Recharge",
"key": "11"
},
{
"value": "LPGCylinder",
"key": "10"
},
{
"value": "Loan",
"key": "9"
},
{
"value": "Insurance",
"key": "8"
},
{
"value": "FASTag",
"key": "7"
},
{
"value": "Water",
"key": "6"
},
{
"value": "MobilePostpaid",
"key": "5"
},
{
"value": "Landline Postpaid",
"key": "4"
},
{
"value": "Gas",
"key": "3"
},
{
"value": "BroadbandPostpaid",
"key": "2"
}
]
}